%define release_tag 1.2
%define release_stamp 0.g5485573

%set_findreq_skiplist %_includedir/*

Name: elcorecl
Version: %release_tag
Release: %release_stamp.elv.alt1

Summary: ElcoreCL library
License: GPL-2.0
Group: Development/Other

BuildRequires(pre): rpm-macros-cmake rpm-build-python3
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: boost-filesystem-devel
BuildRequires: libgtest-devel
BuildRequires: libelf-devel
BuildRequires: elcore50-devel
BuildRequires: python3-module-setuptools

Source: %name-%release_stamp.tar.gz
Vendor: RnD Center "ELVEES", JSC

%description
ElcoreCL libraries and utils for DSP.


%package devel
Summary: Development files for ElcoreCL
Group: Development/Other
BuildArch: noarch
Requires: elcorecl
Requires: elcore50-devel

%description devel


%package -n python3-module-elcorecl
Summary: Python modules
Group: Development/Other
BuildArch: noarch

%description -n python3-module-elcorecl


%prep
%setup -n %name

%build
%cmake -DBUILD_FOR_MCOM03=ON \
    -DBUILD_SHARED_LIBS=ON \
    -DBUILD_KERNELS=OFF
%cmake_build
%python3_build_debug

%install
%cmake_install
%python3_install

%files
%_bindir/elcorectl
%_bindir/paralleltest
%_bindir/test-elcore
%_bindir/test-elcorecl
%_libdir/lib*.so

%files devel
%_includedir/*
%_libdir/cmake

%files -n python3-module-elcorecl
%doc *.rst
%_bindir/elcore-prof.py
%_bindir/ftrace-parser
%python3_sitelibdir_noarch/*
